private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

if (isServer) then {
	if (_unit isKindof "Man") then {
		_unit setVariable ["plank_class", _type, true];
	};
};

if (_unit isKindof "Man") then
{

	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	_unit addweapon "ACE_NVG_Gen4";
	_unit removeweapon "ACE_NVG_Gen4";
	_unit addweapon "Binocular";
	removeGoggles _unit;
	_unit linkItem "tf_microdagr";
};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "east", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","east",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","east",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "Medic":
		{
			_supplies = [["ACE_fieldDressing",25],["ACE_morphine",15],["ACE_bloodIV_500",4],["ACE_epinephrine",15]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


switch (_type) do
{
	Case "Pl":
	{
		[_unit, "tf_mr3000"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_Katiba_C_ACO_F","hgun_Pistol_heavy_02_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["6Rnd_45ACP_Cylinder",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "Sl": //päivitetty
	{
		[_unit, "tf_mr3000"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_Katiba_ARCO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["SmokeShellGreen",2],["SmokeShellOrange",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "Tl": //päivitetty
	{
		[_unit, "tf_mr3000"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_Katiba_GL_ARCO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["1Rnd_HE_Grenade_shell",10],["1Rnd_Smoke_Grenade_shell",3],["1Rnd_SmokePurple_Grenade_shell",3],["1Rnd_SmokeOrange_Grenade_shell",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "Gre":
	{
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_GL_ACO_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Ar": //päivitetty
	{
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["LMG_Zafir_pointer_F","hgun_Rook40_F"];
		_magazines = [["150Rnd_762x54_Box",1],["150Rnd_762x54_Box_Tracer",1],["16Rnd_9x21_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "HMG":
	{
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["MMG_01_hex_ARCO_LP_F"];
		_magazines = [["150Rnd_93x64_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "HMGasst":
	{
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_ACO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["150Rnd_93x64_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "AT": //päivitetty
	{
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_ACO_F","launch_RPG32_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["RPG32_HE_F",1],["RPG32_F",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Medic":
	{
		[_unit, "B_Carryall_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",5],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["SmokeShellRed",2],["SmokeShellOrange",2],["SmokeShellPurple",2],["SmokeShellYellow",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Medic"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Rif": //päivitetty
	{
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_ACO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",8],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["RPG32_HE_F",1],["RPG32_F",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Ammo": //päivitetty
	{
		_items = ["arifle_Katiba_ACO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",16],["30Rnd_65x39_caseless_green_mag_Tracer",2],["16Rnd_9x21_Mag",4],["150Rnd_762x54_Box",2],["1Rnd_HE_Grenade_shell",5],["10Rnd_762x51_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Mark": //Päivitetty
	{
		_unit addItem "ACE_RangeCard";
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","srifle_DMR_01_DMS_BI_F","hgun_Rook40_F"];
		_magazines = [["10Rnd_762x54_Mag",7],["16Rnd_9x21_Mag",4],["ACE_10Rnd_762x54_Tracer_mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Sharp":
	{
		_unit addItem "ACE_RangeCard";
		[_unit, "B_assaultpack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["srifle_DMR_05_KHS_LP_F","hgun_Rook40_F"];
		_magazines = [["10Rnd_93x64_DMR_05_Mag",7],["16Rnd_9x21_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	/////////////
	//  Reconn  //
	/////////////


	Case "RTl":
	{
		[_unit, "tf_mr3000"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector", "arifle_Katiba_ARCO_pointer_snds_F"];
		_magazines = [["30Rnd_65x39_caseless_green",6],["SmokeShell",2],["SmokeShellRed",2],["SmokeShellOrange",2],["HandGrenade",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "RScout":
	{
		_items = ["Binocular","arifle_Katiba_ACO_pointer_snds_F"];
		_magazines = [["30Rnd_65x39_caseless_green",8],["HandGrenade",3],["SmokeShell",3],["Chemlight_Red",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "RMedic":
	{
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_C_ACO_pointer_snds_F"];
		_magazines = [["30Rnd_65x39_caseless_green",6],["SmokeShell",2],["SmokeShellRed",2],["SmokeShellOrange",2],["SmokeShellPurple",2],["SmokeShellYellow",2],["Chemlight_Red",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Medic"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RMarksman":
	{
		_unit addItem "ACE_RangeCard";
		_items = ["Binocular","srifle_DMR_01_DMS_snds_BI_F","hgun_Rook40_snds_F"];
		_magazines = [["10Rnd_762x54_Mag",8],["16Rnd_9x21_Mag",3],["HandGrenade",2],["SmokeShell",2],["SmokeShellRed",2],["Chemlight_Red",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RAt":
	{
		[_unit, "B_AssaultPack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_ACO_pointer_snds_F","launch_RPG32_F"];
		_magazines = [["30Rnd_65x39_caseless_green",6],["RPG32_HE_F",2],["SmokeShell",2],["SmokeShellRed",2],["Chemlight_Red",3],["HandGrenade",2],["RPG32_F",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RDemo":
	{
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_ACO_pointer_snds_F"];
		_magazines = [["30Rnd_65x39_caseless_green",6],["SmokeShell",2],["Chemlight_Red",3],["SatchelCharge_Remote_Mag",1],["DemoCharge_Remote_Mag",1],["ClaymoreDirectionalMine_Remote_Mag",2],["SLAMDirectionalMine_Wire_Mag",2],["APERSBoundingMine_Range_Mag",3],["APERSMine_Range_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "MineDetector";
	};

	Case "JTAC": {
		//[_unit, "B_AssaultPack_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_GL_ACO_pointer_snds_F","Laserdesignator"];
		_magazines = [["30Rnd_65x39_caseless_green",7],["HandGrenade",2],["SmokeShell",1],["SmokeShellRed",1],["1Rnd_HE_Grenade_shell",5],["1Rnd_Smoke_Grenade_shell",2],["1Rnd_SmokeRed_Grenade_shell",1],["1Rnd_SmokeGreen_Grenade_shell",1],["1Rnd_SmokeOrange_Grenade_shell",1],["Chemlight_blue",2],["B_IR_Grenade",2],["Laserbatteries",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Pathfinder":
	{
		_unit addItem "ACE_RangeCard";
		_items = ["srifle_DMR_04_DMS_F","hgun_Rook40_snds_F"];
		_magazines = [["10Rnd_127x54_Mag",8],["16Rnd_9x21_Mag",3],["HandGrenade",2],["SmokeShell",2],["SmokeShellRed",2],["Chemlight_Red",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};



	Case "Eng": {
		[_unit, "B_Carryall_ocamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_C_ACO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",4],["16Rnd_9x21_Mag",3],["DemoCharge_Remote_Mag",2],["SatchelCharge_Remote_Mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		_unit addItem "ACE_wirecutter";

	};

	Case "Sleng": {
		[_unit, "tf_mr3000"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_C_ACO_pointer_F","hgun_Rook40_F"];
		_magazines = [["30Rnd_65x39_caseless_green",4],["16Rnd_9x21_Mag",3],["SmokeShellPurple",2],["SmokeShellYellow",2],["DemoCharge_Remote_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		//_unit addItem "ACE_wirecutter";
	};



	Case "Crew": {
		_items = ["SMG_02_ACO_F"];
		_magazines = [["30Rnd_9x21_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "Pilot":
	{
		_items = ["SMG_02_ACO_F"];
		_magazines = [["30Rnd_9x21_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "HeliCrew":
	{
		_items = ["arifle_Katiba_C_F"];
		_magazines = [["30Rnd_65x39_caseless_green",4],["SmokeShell",1],["SmokeShellRed",1],["Chemlight_red",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "UAV":
	{

		[_unit, "O_UAV_01_backpack_F"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular", "O_UavTerminal", "arifle_Katiba_ACO_F"];
		_magazines = [["30Rnd_65x39_caseless_green",6],["HandGrenade",3],["SmokeShell",2],["SmokeShellRed",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_UAVBattery";
	};


	Case "Sniper":
	{
		_unit addItem "ACE_RangeCard";
		[_unit, "B_AssaultPack_rgr"] call _fnc_BUMCheckAddBackpack;
		_items = ["srifle_GM6_camo_LRPS_F","hgun_Rook40_snds_F"];
		_magazines = [["5Rnd_127x108_Mag",3],["5Rnd_127x108_APDS_Mag",2],["16Rnd_9x21_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
		_unit addItem "ACE_Kestrel4500";

	};

	Case "Spotter":
	{
		[_unit, "tf_mr3000"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Katiba_ARCO_F","hgun_Rook40_snds_F","Laserdesignator"];
		_magazines = [["5Rnd_127x108_Mag",5],["5Rnd_127x108_APDS_Mag",2],["30Rnd_65x39_caseless_green",7],["16Rnd_9x21_Mag",3],["HandGrenade",2],["SmokeShell",2],["Laserbatteries",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

		/////////////
		//ajoneuvot//
		/////////////



	Case "Auto": //perus
	{
		_unit addMagazineCargoGlobal ["30Rnd_65x39_caseless_green", 3];
		_unit addMagazineCargoGlobal ["SmokeShell",2];
		_unit addMagazineCargoGlobal ["HandGrenade",2];
		_unit addMagazineCargoGlobal ["16Rnd_9x21_Mag",4];
		_unit addMagazineCargoGlobal ["150Rnd_762x54_Box",2];
		_unit addMagazineCargoGlobal ["Chemlight_Red",4];
		_unit addMagazineCargoGlobal ["SmokeShellRed",2];
		_unit addItemCargoGlobal ["ToolKit",1];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		_unit addBackpackCargoGlobal ["ACE_TacticalLadder_Pack", 2];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];

	};

	Case "Rekka": //perus
	{
		_unit addMagazineCargoGlobal ["30Rnd_65x39_caseless_green", 6];
		_unit addMagazineCargoGlobal ["HandGrenade",5];
		_unit addMagazineCargoGlobal ["16Rnd_9x21_Mag",9];
		_unit addMagazineCargoGlobal ["150Rnd_762x54_Box",2];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",100];
		_unit addBackpackCargoGlobal ["ACE_TacticalLadder_Pack", 5];
		_unit addItemCargoGlobal ["ToolKit",1];
	    _unit addMagazineCargoGlobal ["RPG32_F",1];
		_unit addMagazineCargoGlobal ["SmokeShellBlue",6];
		_unit addMagazineCargoGlobal ["SmokeShellOrange",6];
		_unit addMagazineCargoGlobal ["SmokeShellPurple",6];
		_unit addMagazineCargoGlobal ["SmokeShellYellow",6];
		_unit addMagazineCargoGlobal ["SmokeShellGreen",6];
		_unit addMagazineCargoGlobal ["SmokeShellRed",6];
		_unit addMagazineCargoGlobal ["SmokeShell",6];
		_unit addMagazineCargoGlobal ["Chemlight_red",3];
		_unit addMagazineCargoGlobal ["Chemlight_yellow",3];
		_unit addMagazineCargoGlobal ["Chemlight_blue",3];
		_unit addMagazineCargoGlobal ["Chemlight_green",3];
		_unit addMagazineCargoGlobal ["1Rnd_HE_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeBlue_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeOrange_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokePurple_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeRed_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeYellow_Grenade_shell",5];
	};

};


if (_unit isKindof "Man") then
{
	//_unit addPrimaryWeaponItem "acc_pointer_IR";
	_unit addPrimaryWeaponItem "acc_flashlight";
	_magazines = [["Chemlight_Red",5],["MiniGrenade",2],["HandGrenade",2],["SmokeShell",4],["SmokeShellRed",2],["O_IR_Grenade",2]];
	[_unit, _magazines] Call _fnc_BUMaddmagazines;
};